org.apache.lucene.search.spans

## Class SpanTermQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.search.spans.SpanTermQuery

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  PayloadTermQuery

    public class SpanTermQuery
    extends SpanQuery

Matches spans containing a term.

### Field Summary

Fields
`protected Term` `term`

### Constructor Summary

Constructors
Constructor and Description
`SpanTermQuery(Term term)` Construct a SpanTermQuery matching the named term's spans.

### Method Summary

Methods
`boolean` `equals(Object obj)`
`void` `extractTerms(Set<Term> terms)` Expert: adds all terms occurring in this query to the terms set.
`String` `getField()` Returns the name of the field matched by this query.
`Spans` `getSpans(AtomicReaderContext context, Bits acceptDocs, Map<Term,TermContext> termContexts)` Expert: Returns the matches for this query in an index.
`Term` `getTerm()` Return the term whose spans are matched.
`int` `hashCode()`
`String` `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

`createWeight`

### Methods inherited from class org.apache.lucene.search.Query

`clone, getBoost, rewrite, setBoost, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### term

    protected Term term

### Constructor Detail

#### SpanTermQuery

    public SpanTermQuery(Term term)

Construct a SpanTermQuery matching the named term's spans.

### Method Detail

#### getTerm

    public Term getTerm()

Return the term whose spans are matched.

#### getField

    public String getField()

Description copied from class: `SpanQuery`
Returns the name of the field matched by this query.

Specified by:
  `getField` in class `SpanQuery`

#### extractTerms

    public void extractTerms(Set<Term> terms)

Description copied from class: `Query`
Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.

Overrides:
  `extractTerms` in class `Query`

#### toString

    public String toString(String field)

Description copied from class: `Query`
Prints a query to a string, with `field` assumed to be the default field and omitted.

Specified by:
  `toString` in class `Query`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Query`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Query`

#### getSpans

    public Spans getSpans(AtomicReaderContext context,
                 Bits acceptDocs,
                 Map<Term,TermContext> termContexts)
                   throws IOException

Description copied from class: `SpanQuery`
Expert: Returns the matches for this query in an index. Used internally to search for spans.

Specified by:
  `getSpans` in class `SpanQuery`
Throws:
  `IOException`